Subject: [tsvwg] TSVWG Status Summary - Sept 2018

From: Gorry Fairhurst <[email-masked]>
Date: Fri, 28 Sep 2018 10:50:07 +0100

This is a summary of detailed status of the working group documents as 
we see it.

Please check below and comment on drafts using the list.
Authors: Please update your drafts.
Please do also send any corrections/omissions to the chairs.

Gorry, David and Wes
(TSVWG Chairs)
Sept 2018

-------------------------------------------------------------------
Documents recently published:
RFC 8436 Document Shepherd: David

Documents published:
RFC 7496 Document Shepherd: Gorry
RFC 7605 Document Shepherd: Gorry
RFC 7857 Document Shepherd: David
RFC 7829 Document Shepherd: Gorry
RFC 8084 Document Shepherd: David
RFC 8085 Document Shepherd: David
RFC 8086 Document Shepherd: David
RFC 8100 Document Shepherd: Gorry
RFC 8260 Document Shepherd: Gorry
RFC 8261 Document Shepherd: Gorry
RFC 8325 Document Shepherd: David
RFC 8311 Document Shepherd: Gorry

------
IDs in RFC Editor Queue (http://www.rfc-editor.org/queue.html) :

draft-ietf-tsvwg-rtcweb-qos - PS - Document Shepherd: David
  Approved, announcement 8th August 2016
  RFC Editor: MISSREF - part of large rtcweb drafts hairball/tarball (C238)
- Chairs need to work with AD to  request an RFC Ed note to cover the LE PHB
---

RFC-Ed ACTIONS:
- None
----------------------------------------------------------

IDs in IESG Evaluation:
---
draft-ietf-tsvwg-rfc4960-errata - Info - Document Shepherd: Gorry
Replaces: draft-tuexen-tsvwg-rfc4960-errata
Topic thought to fall within TSVWG charter
Support for this work noted in Prague (Aug 2015).
Expected to be used as the basis for an update to SCTP base specification.
Authors have requested adoption
IETF-95 - sense of the meeting room to proceed.
IETF-96 - sense of the meeting room to proceed
Adopted (22nd August 2016)
Please send WGLC comments to the TSVWG list  to end Fri 8th Dec 2017.
Reviewers:
Irene R. - Editorial corrections
ka-cheong.poon - Review received
Qiaobing Xie - Review received
Marcelo Ricardo - reviewed an earlier version, no further comments
marcelo.leitner - no further comments
Nicholas Wilson:  http://www.rfc-editor.org/errata/eid5202
13th Dec: Chairs will talk to Authors to conclude the WGLC.
Revised ID to address document issues raised by Shepherd review (G 
Fairhurst).
R. Stewart: Confirmed No known IPR
M. Tuexen: Confirmed No known IPR
M. Proshin: Confirmed No known IPR
IETF-101: Confirmed consensus to publish.
Apr 2018: Gorry: Shepherd writeup of the document, submitted to IESG.
Shepherd writeup updated, draft revised.
Submitted to IESG for Publication
IETF-LC completed as INFO.
IESG review with comments.
AD/document shepherd comments on section conclusions.
DUE: Revised ID needed.
---
draft-ietf-tsvwg-fecframe-ext  - Document Shepherd: Wes
replaces - draft-roca-tsvwg-fecframev2
IETF-97 (Seoul), presented - could this be an update rather than bis?
Adoption call requested by authors
IETF-98 10 people had interest in work on this topic.
Reviewers:
+ Marie-José Montpeti
+ Emmanuel Lochin
+ Jonathan Detchart
Completed WGLC with comments.
Shepherd review completed. Revised ID published.
IESG Evaluation
---
draft-ietf-tsvwg-rlc-fec-scheme - Document Shepherd: Wes
replaces - draft-roca-tsvwg-rlc-fec-scheme
IETF-98 10 people had interest in work on this topic.
Reviewers:
+ Marie-José Montpeti
+ Emmanuel Lochin
+ Jonathan Detchart
+ Ali Begen
Completed WGLC with comments.
Shepherd review completed. Revised ID published.
IESG Evaluation
--------------------------
WG Drafts with Chairs:
---
draft-ietf-tsvwg-tunnel-congestion-feedback  - Document Shepherd: David
Replaces: draft-wei-tsvwg-tunnel-congestion-feedback
- Thought to fall within TSVWG charter, comments welcome on tsvwg list.
- IETF 91: Authors will work w/Bob Briscoe, who has a related individual 
draft for conex, on feedback mechanisms.  Goal is concrete action taken 
based on detected problems that can be used from other drafts by 
reference.  Also have to deal with possibility of dropped packets within 
tunnel.  Draft returned to Working Group, will need a second WGLC after 
it is revised.
*** NOTE: 2 IPR declarations relate to the work of this draft ***
November 2016: WGLC, but not enough reviews.  Two reviewers were found 
in Seoul (Bob Briscoe, Jake Holland) - need reviews before considering 
progress.
Document with WG Chairs awaiting decision.
IETF-101: Don Eastlake and Andy Malis have an SFC load balancing use 
case for this, will work with authors.
---
draft-ietf-tsvwg-le-phb - PS - Document Shepherd: David
Replaces: draft-bless-tsvwg-le-phb A Lower Effort Per-Hop Behavior (LE PHB)
Topic thought to fall within TSVWG charter
Support for this work noted (Berlin IETF, 2016).
An adoption call was started on list by the Chairs until 22nd August 
2016, concluded and adopted.
Adopted Nov 2016.
New rev as a WG item. (Targeting publication as an EXP RFC)
IETF-97 (Seoul), presented.
IETF-98 (Chicago) discussed choice of code point - awaiting more data, 
expected decision by Sept 2017
IETF-100 (Singapore)
Waiting for process draft to update IANA Registry pool 3
WGLC in progress (revised ID needed)
DUE: New -06 version neeed from Roland to complete WGLC.
--------------------------
draft-ietf-tsvwg-rfc6040update-shim-00 - PS - Document Shepherd: David
Replaces: draft-briscoe-tsvwg-rfc6040bis
Replaces: draft-ietf-tsvwg-rfc6040-update
Topic thought to fall within TSVWG charter
Support for this work noted (Berlin IETF, 2016)
- to be published as a pair with ecn encaps.
An adoption call was started on list by the Chairs until 22nd August 
2016, concluded and adopted.
Adopted,  intended for publication as a PS RFC)
WG work item - new-revision submitted
++ Randal Stewart will review
++ Randal Jessup will review
IETF-97 (Seoul) presented
Renamed as draft-ietf-tsvwg-rfc6040update-shim - 15th Nov 2016.
WGLC closed 7 September 2018
Due: Second WGLC with agreed reviewers, WG Chairs to ensure agreed 
reviewers submit their reviews.
---
draft-ietf-tsvwg-ecn-encap-guidelines - BCP - Document Shepherd: David
Replaces: draft-briscoe-tsvwg-ecn-encap-guidelines
-00 Presented in Prague, IETF-80.
- comments at IETF-80 (see minutes)
New ID presented in Atlanta, IETF-85. ID presented in IETF-88,89
-  forward an appropriate message (perhaps your note to the mailing list 
for approval to adopt) to [email-masked])
++ Reviewers: Andrew McGregor, Dirk Kutscher, (Richard Sheffnegger), 
Brian Trammell, Gorry.
Mar 2014, WG Call for adoption started, to end 4th March 2014
19 for, 1 against. 8 echoed on the list
Adoption call concluded and document adopted.
- ecn-encap-guidelines and AQM are the main new things they need to know 
about.
on <http://www.ietf.org/proceedings/86/train-3.html>IEEE802.1Q)
Liaison sent to IEEE 802 (Nov  24, 2014).
Liaison sent to 3GPP (August 2015)
Oct 2015 - Draft updated for Yokohama meetings.  Not sure about INT Area 
presentation.  Need some more soak time for 3GPP Liaison.
3GPP liaison statement
People who volunteered to review:
* Andrew McGregor, Google
* Dirk Kutscher, NEC
* (I've also just asked Ingemar Johansson to volunteer)
Support on list
* Matt Mathis, Google * Richard Scheffenegger, NetApp * Michael Welzl, 
Uni Oslo
* Wei Xin Peng, Huawei * Rong Pan, Cisco * Michael Menth, Tubingen Uni
* Zhu Lei, Huawei * Piers O'Hanlon, UCL * Philip Eardley, BT
* Suresh Krishnan * An Nguyen, DHS/OEC * Vinay Bannai, Paypal * Mirja 
Kuehlewind, Stuttgart Uni
* Ruediger Geib, DT
Non-supportive of a doc solely about ECN.
* Joe Touch, ISI
IETF-98 (Chicago) Chairs will talk to TRILL chairs and try to get both 
into WGLC.
Document waiting for completion of draft-ietf-tsvwg-rfc6040update-shim
WGLC with 6040update shim draft
DUE:  WGLC closed 7 September 2018
DUE: Second WGLC with agreed reviewers, WG Chairs to ensure agreed 
reviewers submit their reviews.
--------------------------

WG Drafts:
---
draft-ietf-tsvwg-natsupp - PS - Document Shepherd: Gorry
Replaces: draft-stewart-natsupp-tsvwg
Dependency from BEHAVE WG (no longer applicable).
Adopted as a work item 21 Sept 2010 (Gorry).
WG -00, 29/11/2010 Uploaded as: draft-ietf-natsupp-tsvwg
Authors restructured draft (-03)
Added support for single and multi-homed support.
IETF-86: 3 people in meeting had read -04 or -05.
Feb 2014, Authors please update following comments and align to related 
draft on SCTP NAT (conflicts found in language)
Authors expected to produce a single document to replace both.
++ Dan Wing has committed to review this.
++ Fred Baker has committed to review this.
Separated the simpler case for single-homed use - this separation should 
be clear.
March 2015 document restructured and merged with draft-ietf-tsvwg-sctpnat
March 2015, initial review by Gorry - need to consider helping NAT 
vendors access the recommendations.
Gorry, Karen: Minor NiTs,
Scope of IPv4 NAT discussed in Prague IETF and still thought within Charter.
Authors expect to complete by May 2018.
WG Chair comments pending a WGLC.
DUE: Revised ID-needed.
---
draft-ietf-tsvwg-l4s-arch - Document Shepherd: Wes
Replaces draft-briscoe-tsvwg-l4s-arch
IETF-96, Previous version discussed at L4S BoF
IETF-97 (Seoul), presented.
IETF-98 (Chicago) 10 people had red the draft, clear support for adoption.
Adopted.
IETF-100 (Singapore) update presented - draft is in "holding pattern" 
while implementations are being worked and tested in conjunction with 
new scalable congestion control algorithms (e.g. SCReaM and TCP 
Prague).  Linux and simulator code is becoming available, along with at 
least one chip implementation.
DUE: Please discuss and share results on the TSVWG list.
---
draft-ietf-tsvwg-ecn-l4s-id - Document Shepherd: Wes
Replaces draft-briscoe-tsvwg-ecn-l4s-id
New draft Nov-2914: Identifying Modified Explicit Congestion 
Notification (ECN) Semantics for Ultra-Low Queuing Delay
IETF-96, Previous version discussed at L4S BoF
IETF-97 (Seoul), presented.
IETF-98 (Chicago) 10 people had red the draft, clear support for adoption.
Adopted by tsvwg
IETF-100 (Singapore) - See update on draft-ietf-tsvwg-l4s-arch above
DUE: Please discuss and share results on the TSVWG list.
---
draft-ietf-tsvwg-dualq-coupled  - Document Shepherd: Wes
Replaces: draft-briscoe-aqm-dualq-coupled
Currently individual draft, TSVWG will consider this.
- requires update to base ECN RFC - see separate draft.
*** IPR related to this draft was submitted: September 16, 2015 
(Reasonable and Non-Discriminatory License to All Implementers with 
Possible Royalty/Fee) ***
Updated -01 March 2016, discussed on the AQM WG list.
IETF-97 (Seoul), presented, new research results (Nov 2016)
IETF-98 (Chicago) 10 people had read the draft, clear support for adoption.
Adopted by tsvwg
IETF-100 (Singapore) - See update on draft-ietf-tsvwg-l4s-arch above
DUE: Please discuss on the TSVWG list.
---
draft-ietf-tsvwg-udp-options - Document Shepherd: Gorry
Replaces: draft-touch-tsvwg-udp-options
Transport Options for UDP
- Presentation at IETF Nov 2015.
Topic thought to fall within TSVWG charter
Discussed IETF-96 (Berlin)
IETF-97 (Seoul) presented - no comments.
IETF-98 (Chicago) 5 + 1 from jabber interested in this topic, 1 thought 
we shouldn't
Comments on security model and discussed on list
Adoption call until 31st May 2017 - Closed
Tom Jones - supports adoption (will try an implementation)
Tom Herbert - supports adoption (will review)
Mike Heard - supports adoption (will review)
D Fawcus - supports adoption (will review)
Adopted.
DUE: Revised-ID needed: Comments after discussion on list.
DUE: Please discuss on the TSVWG list.
---
draft-ietf-tsvwg-datagram-plpmtud - PS - Document Shepherd: David
Replaces: draft-fairhurst-tsvwg-datagram-plpmtud-02
Support noted in INTAREA presentation (IETF-100)
Presented in TSVWG, IETF-100
Thought to be within charter of TSVWG.
DUE: Dec 2018: Adoption call completed, confirmed on TSVWG list
Reviewers: Joe Touch; Wes Eddy; Vincent Roca; Taksim Proshin; Ruediger 
Geib;
DUE: Revised-ID needed: Comments after discussion on list.
DUE: Please discuss on the TSVWG list.
---
draft-ietf-tsvwg-transport-encrypt Document Shepherd: David
Support noted in INTAREA presentation (IETF-100)
Presented in TSVWG, IETF-100
Adoption requested by authors, will be taken up in IETF-102 meeting.
Review received from Kathleen Moriarty.
Support for adoption indicated during WG meeting in Montreal, confirmed 
on list.
Sept 2018 Adopted.
DUE: Please discuss on the TSVWG list.
-------------------------------------------------------------------
Drafts under consideration by WG for adoption:
None, if you have requests please contact the Chairs.

-------------------------------
Other drafts and work items linked to TSVWG:
If you think individual documents should appear on the next TSVWG 
agenda, please contact the chairs.
---
draft-tuexen-tsvwg-sctp-udp-encaps-cons  - Document Shepherd: N/A.
Thought to fall within TSVWG charter.
Presented to TSVWG in Buenos Aires (April 2016)
Update at Soul IETF (Nov 2016)
This list or errata will not be published as a RFC, it will be supeceded 
by a .bis document.
DUE: Please discuss on the TSVWG list.
---
draft-finzi-priority-switching-scheduler  - Independent Submission
Presented in TSVWG, IETF-100
Authors to revise draft based on TSVWG list discussion.
---
Liaisons:
ITU-T Study Group 12 Liaison on QoS Classes & markings for interconnection
IEEE liaison to support L2/L3 work on ECN marking
3GPP liaison to support L2/L3 work on ECN marking
==================================================================